VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "vb"
   ClientHeight    =   2535
   ClientLeft      =   120
   ClientTop       =   450
   ClientWidth     =   4560
   LinkTopic       =   "Form1"
   ScaleHeight     =   2535
   ScaleWidth      =   4560
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton Command3 
      Caption         =   "Convert one file to one pdf/a file"
      Height          =   375
      Left            =   600
      TabIndex        =   2
      Top             =   1920
      Width           =   3495
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Convert one file to one pdf file"
      Height          =   375
      Left            =   600
      TabIndex        =   1
      Top             =   1200
      Width           =   3495
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Combine all files into one pdf file"
      Height          =   375
      Left            =   600
      TabIndex        =   0
      Top             =   480
      Width           =   3495
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Declare Function MBegin Lib "pcltopdf.dll" () As Long
Private Declare Function MAddFiles Lib "pcltopdf.dll" (ByVal id As Long, ByVal infile As String) As Long
Private Declare Function MConvert Lib "pcltopdf.dll" (ByVal id As Long, ByVal infile As String, ByVal output As String) As Long
Private Declare Function MConvertAll Lib "pcltopdf.dll" (ByVal id As Long, ByVal outfile As String) As Long
Private Declare Function MEncrypt Lib "pcltopdf.dll" (ByVal id As Long, ByVal userpassword As String, ByVal ownerpassword As String, ByVal encryptlevel As Long, ByVal printing As Long, ByVal copying As Long, ByVal changing As Long, ByVal adding As Long) As Long
Private Declare Function MInformation Lib "pcltopdf.dll" (ByVal id As Long, ByVal title As String, ByVal subject As String, ByVal author As String, ByVal keywords As String, ByVal creator As String, ByVal producer As String) As Long
Private Declare Function MWatermark Lib "pcltopdf.dll" (ByVal id As Long, ByVal text As String, ByVal fsize As Long, ByVal fcolor As Long, ByVal position As Long, ByVal angle As Long, ByVal xoff As Long, ByVal yoff As Long, ByVal background As Long) As Long
Private Declare Function MSetParam Lib "pcltopdf.dll" (ByVal id As Long, ByVal index As Long, ByVal sparam As String, ByVal sparam2 As String, ByVal iparam As Long, ByVal iparam2 As Long) As Long
Private Declare Function MEnd Lib "pcltopdf.dll" (ByVal id As Long) As Long


Const PARAM_ROTATE = 100
Const PARAM_DPI = 101
Const PARAM_SIZE = 102
Const PARAM_PDFA = 200

Private Sub Command1_Click()
        Dim id As Long
        Dim level As Long
        Dim printing As Long
        Dim copying As Long
        Dim changing As Long
        Dim adding As Long
    
        Dim infile As String
        Dim infile2 As String
        Dim outfile As String
        
        infile = App.Path + "\test.pcl"
        infile2 = App.Path + "\test2.px3"
        outfile = App.Path + "\combine.pdf"
    
        id = MBegin()
        If (id > 0) Then
            level = 40
            printing = 1
            copying = 1
            changing = 0
            adding = 0
            'Set PDF Encrypt
            MEncrypt id, "password", "password2", level, printing, copying, changing, adding

            'Add files
            MAddFiles id, infile
            MAddFiles id, infile2

            'Combine all files into one pdf file
            MConvertAll id, outfile
            MEnd (id)
        End If
    
    MsgBox "Convert finished!"
End Sub

Private Sub Command2_Click()
        Dim id As Long
        Dim infile As String
        Dim outfile As String
        
        infile = App.Path + "\test.pcl"
        outfile = App.Path + "\test.pdf"

        id = MBegin()
        If (id > 0) Then
            'Set PDF Information
            MInformation id, "title", "subject", "author", "keywords", "creator", "producer"

            'Set Page Orientation
            MSetParam id, PARAM_ROTATE, "", "", 90, 0
            'Set X and Y Resolution
            MSetParam id, PARAM_DPI, "", "", 300, 300
            'Set page size
            MSetParam id, PARAM_SIZE, "a4", "", 0, 0

            MConvert id, infile, outfile
            MEnd (id)
        End If
        
    MsgBox "Convert finished!"
End Sub

Private Sub Command3_Click()
        Dim id As Long
        Dim fsize As Long
        Dim fcolor As Long
        Dim position As Long
        Dim angle As Long
        Dim xoff As Long
        Dim yoff As Long
        Dim background As Long

        Dim infile As String
        Dim outfile As String
        
        infile = App.Path + "\test2.px3"
        outfile = App.Path + "\test_pdfa.pdf"

        id = MBegin()
        If (id > 0) Then
            fsize = 16
            fcolor = 255 'red
            position = 2 'Top-Center
            angle = 0
            xoff = 0
            yoff = 0
            background = 1
            MWatermark id, "PDFA document", fsize, fcolor, position, angle, xoff, yoff, background

            'Create a PDFA document
            MSetParam id, PARAM_PDFA, "", "", 1, 0
            
            MConvert id, infile, outfile
            MEnd (id)
        End If
        
    MsgBox "Convert finished!"
End Sub
